#
# spec file for package libspectre
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://libspectre.freedesktop.org/

Name:           libspectre
Version:        0.2.7
Release:        0
Summary:        Library for Rendering PostScript Documents
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Source0:        http://libspectre.freedesktop.org/releases/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM libspectre-gs-9.18.patch boo#953149 dimstar@opensuse.org -- Fix build with Ghostscript 9.18: e_* is renamed to gs_error_*
Patch0:         libspectre-gs-9.18.patch
%define debug_package_requires libspectre1 = %{version}-%{release}
# Need ghostscript-devel >= 9.18 due to libspectre-gs-9.18 patch
BuildRequires:  ghostscript-devel
BuildRequires:  ghostscript-library
BuildRequires:  pkg-config
# Zypper is just needed as a helper to properly compare versions, to decide if patch0 needs to be applied or not
BuildRequires:  zypper
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n libspectre1
Summary:        Library for Rendering PostScript Documents
Group:          Development/Libraries/C and C++

%description -n libspectre1
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n libspectre-devel
Summary:        Library for Rendering PostScript Documents
Group:          Development/Libraries/C and C++
Requires:       libspectre1 >= %{version}
%requires_eq ghostscript-devel

%description -n libspectre-devel
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%prep
%setup -q
# Apply the patch only for ghostscript >= 9.18
if zypper vcmp $(rpm -q --qf '%%{version}' ghostscript-devel) 9.18 | grep -e "\(newer\|matches\)"; then
%patch0 -p1
fi

%build
%configure --disable-static --enable-shared
make %{?_smp_mflags}

%install
%make_install

%post -n libspectre1 -p /sbin/ldconfig

%postun -n libspectre1 -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n libspectre1
%defattr(-, root, root)
%doc COPYING
%{_libdir}/libspectre.so.1*

%files -n libspectre-devel
%defattr(-, root, root)
%{_includedir}/libspectre
%{_libdir}/libspectre.la
%{_libdir}/libspectre.so
%{_libdir}/pkgconfig/libspectre.pc

%changelog
